Vagrant.configure("2") do |config|

 config.vm.define "jenkins" do |jenkins|

  jenkins.vm.box = "ubuntu/xenial64"
  
  jenkins.vm.hostname = "jenkins"

  jenkins.vm.network :private_network, ip: "192.168.5.2"
  
  #config.vm.network "forwarded_port", guest: 8080, host: 8080

  config.vm.provider "virtualbox" do |vb|
    vb.gui = false
    vb.cpus = 2
    vb.memory = "4096"
  end
  end 
  config.vm.provision "shell" do |shell|
    shell.path = "jenkins.sh"
  end
end
